extends Node3D
class_name SensorSuiteNode


@export var ip_address: String
var provides_pnt: bool = false
var provides_accel: bool = false
var provides_gyro: bool = false
var provides_mag: bool = false

var sensors = {}

"""
		sensor_suite.provides_pnt = true
		sensor_suite.create_pnt()
		sensor_suite.create_sats()
	if provider_data[1]:
		sensor_suite.provides_accel = true
		sensor_suite.create_accel()
	if provider_data[2]:
		sensor_suite.provides_gyro = true
		sensor_suite.create_gyro()
	if provider_data[3]:
		sensor_suite.provides_mag = true
		sensor_suite.create_mag()
"""

func create_pnt():
	var sensor = PntSensorNode.new()
	sensor.ip_address = ip_address
	sensors[sensor.id] = sensor
	add_child(sensor)

func create_sats():
	var sensor = SatelliteSensorNode.new()
	sensor.ip_address = ip_address
	sensors[sensor.id] = sensor
	add_child(sensor)

func create_accel():
	var sensor = AccelSensorNode.new()
	sensor.ip_address = ip_address
	sensors[sensor.id] = sensor
	add_child(sensor)

func create_gyro():
	return

func create_mag():
	var sensor = MagnetSensorNode.new()
	sensor.ip_address = ip_address
	sensors[sensor.id] = sensor
	add_child(sensor)
	
